package com.sw.mes.sap.reconciliation.warehouse;

import com.sw.mes.sap.reconciliation.framework.IntermediateResult;

import java.util.Set;


/**
 * 获取线边仓数据
 */
public interface LineWarehouseData {
    //入库数据
    IntermediateResult<WarehouseInterResult> getWarehouseInputBillByCode(String code);

    //库存数据
    IntermediateResult<WarehouseInterResult> getWarehouseInventoryByCode(String code);

    //出库数据
    IntermediateResult<WarehouseInterResult> getWarehouseOutputBillByCode(String code);

    /**
     * 获取线边仓目前已经入库的物料code，暂时page和page size无效
     *
     * @param page
     * @param pageSize
     * @return
     */
    Set<String> getDistinctMaterialCode(int page, int pageSize);
}
